package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.RiskRevokeCreditRuleLoginTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

/**
 * @author: houn
 */
@Repository
public interface RiskRevokeCreditRuleLoginRepository extends BaseRepository<RiskRevokeCreditRuleLoginTable> {

    RiskRevokeCreditRuleLoginTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    RiskRevokeCreditRuleLoginTable findFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    RiskRevokeCreditRuleLoginTable findFirstByLogin(Long login);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<RiskRevokeCreditRuleLoginTable> findAllByIdIn(List<Long> ids);

    boolean existsByLogin(Long login);
}
